Package org.kie.api.executor

## Interface RequestInfo

-     public interface RequestInfo

  Represents request information for the executor service.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCommandName()` |
    `String` | `getDeploymentId()` |
    `List<? extends ErrorInfo>` | `getErrorInfo()` |
    `int` | `getExecutions()` |
    `Long` | `getId()` |
    `String` | `getKey()` |
    `String` | `getMessage()` |
    `int` | `getPriority()` |
    `Long` | `getProcessInstanceId()` |
    `byte[]` | `getRequestData()` |
    `byte[]` | `getResponseData()` |
    `int` | `getRetries()` |
    `STATUS` | `getStatus()` |
    `Date` | `getTime()` |
    `void` | `setStatus​(STATUS status)` | Sets status for the request

- - ### Method Detail

    - #### setStatus

          void setStatus​(STATUS status)

      Sets status for the request
      Parameters:
        `status` -

    - #### getStatus

          STATUS getStatus()

      Returns:
        status of the request

    - #### getId

          Long getId()

      Returns:
        unique id of the request

    - #### getErrorInfo

          List<? extends ErrorInfo> getErrorInfo()

      Returns:
        list of errors for this request if any

    - #### getRetries

          int getRetries()

      Returns:
        number of retries available for this request

    - #### getExecutions

          int getExecutions()

      Returns:
        number of already executed attempts

    - #### getCommandName

          String getCommandName()

      Returns:
        command name for this request

    - #### getKey

          String getKey()

      Returns:
        business key assigned to this request

    - #### getMessage

          String getMessage()

      Returns:
        descriptive message assigned to this request

    - #### getTime

          Date getTime()

      Returns:
        time that this request shall be executed (for the first attempt)

    - #### getRequestData

          byte[] getRequestData()

      Returns:
        serialized bytes of the contextual request data

    - #### getResponseData

          byte[] getResponseData()

      Returns:
        serialized bytes of the response data

    - #### getDeploymentId

          String getDeploymentId()

      Returns:
        optional deployment id in case this job is scheduled from within process context

    - #### getProcessInstanceId

          Long getProcessInstanceId()

      Returns:
        optional process instance id in case this job is scheduled from within process context

    - #### getPriority

          int getPriority()

      Returns:
        get priority assigned to this job request